Loads
List load documents
List all documents attached to a load by load number, including rate confirmations, BOLs, PODs, lumper receipts, and any customer-required paperwork.
GET
/
api
/
p
/
v
{version}
/
loads
/
{loadNumber}
/
documents
List load documents
curl --request GET \
--url https://integrations.alvys.com/api/p/v{version}/loads/{loadNumber}/documents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integrations.alvys.com/api/p/v{version}/loads/{loadNumber}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://integrations.alvys.com/api/p/v{version}/loads/{loadNumber}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integrations.alvys.com/api/p/v{version}/loads/{loadNumber}/documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://integrations.alvys.com/api/p/v{version}/loads/{loadNumber}/documents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://integrations.alvys.com/api/p/v{version}/loads/{loadNumber}/documents")
.header("Authorization", "Bearer <token>")
.asString();[
{
"id": "<string>",
"AttachmentPath": "<string>",
"AttachmentType": "<string>",
"ParentId": "<string>",
"ParentType": "<string>",
"AttachmentSize": 123,
"UploadedAt": "2023-11-07T05:31:56Z",
"UploadedBy": "<string>",
"DownloadUrl": "<string>",
"ExpiresAt": "2023-11-07T05:31:56Z"
}
]{
"Errors": {},
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}Documents associated with a specific Load by its
Replace
loadNumber.
Request Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| version | String | Yes | API version to use. |
| loadNumber | String | Yes | Unique load number. |
Example cURL Request
curl --location 'https://integrations.alvys.com/api/p/v{version}/loads/{loadNumber}/documents' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{version} with the API version, {loadNumber} with the actual load number, and YOUR_ACCESS_TOKEN with a valid token.
Response Body
Array of document objects:| Name | Type | Description |
|---|---|---|
| id | string | Unique identifier of the document. |
| AttachmentPath | string | File name and extension assigned on upload (with timestamp suffix). |
| AttachmentType | string | Type of document (e.g., Customer Rate Confirmation). |
| AttachmentSize | integer | Size of the file in bytes. |
| UploadedAt | string | UTC timestamp when the file was uploaded (ISO 8601). |
| ParentId | string | Identifier of the parent entity (loadNumber= 10302010). |
| ParentType | string | Entity type the document is attached to (Carrier, Driver, Load, Trip, Truck, Trailer). |
| UploadedBy | string | User ID if uploaded via UI, or Client ID if uploaded via API. |
| DownloadUrl | string | Time-limited link (10 minutes) to download the document. |
| ExpiresAt | string | Expiration timestamp of the DownloadUrl. |
Example Response (200 OK)
[
{
"id": "c2e418d5-3125-4b14-b6b0-dcf77b0c2a93",
"AttachmentPath": "POD-1759237626.pdf",
"AttachmentType": "Customer Rate Confirmation",
"AttachmentSize": 342115,
"UploadedAt": "2025-09-30T14:02:07+00:00",
"ParentId": "3022258",
"ParentType": "Load",
"UploadedBy": "7190175eecc1101e11d1111f1e1e0e11",
"DownloadUrl": "https://alvysqastorage.blob.core.windows.net/tl743/CRC-1759237626.pdf?...",
"ExpiresAt": "2025-09-30T14:12:15.9506343+00:00"
}
]
Rate Limits
All endpoints are subject to rate limits to protect the API from traffic spikes. For detailed information, see the Rate Limits section.Try It Out
This page is interactive, allowing you to try a request by specifying the API version and loadNumber in the URL path. As you fill out the parameters, the cURL command on the right side of the page will be automatically updated. Alternatively, you can directly edit the cURL command. ⚠️ Don’t forget: make sure to authorize yourself before trying a request.Authorizations
OAuth 2.0 client-credentials access token. Obtain one from https://auth.alvys.com/oauth/token (grant_type=client_credentials, audience=https://api.alvys.com/public/), then paste it here. The playground sends it as Authorization: Bearer <token>.
Path Parameters
API version (e.g., 1.0)
Example:
"1.0"
⌘I
List load documents
